#calendar-container {
    user-select: none;
    background-color: white;
    margin: 0% auto;
}
#calendar-container,
.legends {
    max-width: 750px;
}
.calendar-row, .calendar-header {
    display: flex;
    flex-direction: row;
}
    .calendar-header div {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        width: 100%;
    }

.ui-datepicker-week-end {
    background: rgba(144,176,217,1) !important;
}
.calendar-row .calendar-cell {
    display: flex;
    flex-direction: row;
    padding: .6em 0 !important;
    cursor: pointer;
    margin: 1px 1px;
    justify-content: center;
    align-items: center;
    border: 4px solid rgba(255,255,255,.01);
    width: 100%;
    /*min-width: 105px;
    min-height: 30px;*/
    font-weight: bold;
    color: white;
    font-size: 1.4em;
    background-color: rgba(168,192,228,1);
    max-width: 110px;
}

.calendar-row .date-available {
    background-color: rgba(0,182,72,1) !important;
}

.calendar-header .calendar-header-cell {
    /*min-width: 107px;
    height: 30px; */
    font-weight: bold;
    color: white;
    padding: .6em 0 !important;
    background-color: #234994;
    max-width: 110px;
}

.calendar-row .past{
    background-color: #ccc;
    pointer-events: none;
}

.calendar-row .today{
   color: white;
}

.calendar-row .calendar-cell-selected {
    border: 4px solid #000;
    box-sizing: border-box;
}

.calendar-row .not-available{
    background-color: rgba(168,192,228,1);
    pointer-events: none;
}

    .calendar-row .booked-out, 
    #free-slots .booked-out {
        background-color: #ff0000 !important;
        pointer-events: none;
    }

#calendar-month-navigation{
    display: flex;
    flex-direction: row;
    pointer-events: all;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
}

#calendar-month-navigation a{
    color:#234994;
} 

#calendar-title{
    color:#234994;
    font-size: 20px;
    font-weight: bold;
    margin-left: 10px;
    margin-right: 10px;
}

.calendar-row .available {
    background-color: #00B648;
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-active {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    font-weight: normal !important;
    color: #9c9c9c !important;
    font-size: 1.4em;
    background: rgba(168,192,228,1) !important;
    padding: .6em 0 !important;
    color: #FFF !important;
    border: 4px solid rgba(255,255,255,.01);
    font-weight: bold !important;
}

.ui-datepicker td.date-not-available .ui-state-default, 
.legends .date-not-available .ui-state-default {
    background-color: #ff0000 !important;
    color: #FFF !important;
}

.ui-datepicker td.date-available-walkin .ui-state-default, 
.legends .date-available-walkin .ui-state-default {
    background-color: #fea600 !important;
    color: #FFF !important;
}


.calendar-row .date-available-internal,
.ui-datepicker td.date-available-internal .ui-state-default,
.legends .date-available-internal .ui-state-default {
    background-color: #fea600 !important;
    color: #FFF !important;
}

.legends a {
    text-transform: uppercase;
    font-size: 11px;
    font-weight: bold;
}

.legends a.text-decoration-none {
  text-decoration:none;
}

.legends a.text-decoration-none:hover, a.text-decoration-none:focus {
    color: #428bca;
}

.legends .date-available.preffered a.text-decoration-none {
    line-height: 13px;
}

.legends .ui-state-default {
    border: none !important;
    width: 25px;
    height: 25px;
    float: left;
    margin-right: 5px;
    font-size: 1.2em !important;
    text-decoration: none
}

.legends .date-available .ui-state-default {
    background-color: rgba(0,182,72,1) !important;
    color: #FFF !important;
}

.legends .date-available.preffered .ui-state-default {
    background-color: rgba(0,250,0,1) !important;
    color: #FFF !important;
}

.legends {
    margin: 2% auto;
    display: block;
}

    .legends .legend-item {
        float: left;
        padding: 0
    }

    .legends ul {
        padding: 0;
        margin: 0;
        margin-bottom: 10px
    }

    .legends .legend-item li {
        list-style-type: none;
        display: inline;
    }

    .legends .legend-item .legend-label {
        line-height: 26px;
    }


#calendar-container .calendar-direction a {
    font-size: 20px;
}

#calendar-container .calendar-direction a:hover {
    text-decoration: none;
}

#calendar-container #calendar-title {
    width: 158px;
    text-align: center;
}

.covid-store-appointment-section .appointment-details {
    font-weight: bold;
    font-size: 24px;
    line-height: 28px;
    text-align: center;
    text-transform: uppercase;
    color: #2D529D;
}

.covid-store-appointment-section .store-name {
    font-weight: normal;
    font-size: 18px;
    line-height: 21px;
    text-align: center;
    text-transform: uppercase;
    color: #2D529D;
}

.covid-date-back-button {
    background: #FFFFFF;
    border: 1px solid #6F535E;
    box-sizing: border-box;
    border-radius: 3px;
    color: #6F535E;
    text-align: center;
    padding: 13px 40px;
    min-width: 250px;
    margin: 20px;
}